Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2498733002: Remove some global UI defines (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 1 week ago by brettw
Modified:
6 months, 2 weeks ago
Reviewers:
oshima, sky
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, creis+watch_chromium.org, Dirk Pranke, tfarina, nasko+codewatch_chromium.org, jam, dglazkov+blink, darin-cc_chromium.org, agrieve+watch_chromium.org, blink-reviews, blink-reviews-api_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove some global UI defines Remove the USE_CLIPBOARD_AURAX11 C++ define which were unused. The use_clipboard_aurax11 build variable was only used in one place (ui/base/BUILD.gn) and seems not to be useful. This is replaced by a "use_x11 && is_desktop_linux" condition. Remove the enable_clipboard_aurax11 build arg which affected the use_ variant above and is no longer needed. Move USE_DEFAULT_RENDER_THEME build variable and C++ define to Blink's public features. Committed: https://crrev.com/8a274fa60fec11c1c1ddbeb2ee64c3ffb60ca84c Cr-Commit-Position: refs/heads/master@{#432010}

Patch Set 1 #

Patch Set 2 : Merge #

Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -22 lines) Patch
M build/config/BUILD.gn View 1 1 chunk +0 lines, -6 lines 0 comments Download
M build/config/ui.gni View 3 chunks +0 lines, -8 lines 0 comments Download
M chrome/browser/renderer_preferences_util.cc View 2 chunks +2 lines, -1 line 0 comments Download
M content/DEPS View 1 chunk +1 line, -2 lines 0 comments Download
M content/child/BUILD.gn View 2 chunks +2 lines, -0 lines 0 comments Download
M content/child/blink_platform_impl.h View 1 chunk +2 lines, -1 line 0 comments Download
M content/renderer/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/render_view_impl.cc View 1 3 chunks +3 lines, -2 lines 0 comments Download
M content/test/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/config.gni View 2 chunks +4 lines, -0 lines 0 comments Download
M third_party/WebKit/public/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/public/public_features.gni View 1 2 chunks +4 lines, -0 lines 0 comments Download
M tools/gn/docs/cookbook.md View 1 1 chunk +0 lines, -1 line 0 comments Download
M ui/base/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 28 (21 generated)
brettw
Merge
8 months, 1 week ago (2016-11-14 16:40:40 UTC) #11
brettw
8 months, 1 week ago (2016-11-14 21:44:51 UTC) #18
sky
LGTM
8 months, 1 week ago (2016-11-14 22:22:45 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2498733002/20001
8 months, 1 week ago (2016-11-14 22:24:49 UTC) #22
commit-bot: I haz the power
Committed patchset #2 (id:20001)
8 months, 1 week ago (2016-11-15 00:21:11 UTC) #24
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/8a274fa60fec11c1c1ddbeb2ee64c3ffb60ca84c Cr-Commit-Position: refs/heads/master@{#432010}
8 months, 1 week ago (2016-11-15 00:23:45 UTC) #26
oshima
6 months, 2 weeks ago (2017-01-05 21:22:12 UTC) #28
Message was sent while issue was closed.
use_clipboard_aurax11 build is used by a few chromeos developers. It's handy to
be able to cut&paste between x11 and chrome for chrome on linux desktop.

Is it ok to restore this flag?
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973